Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007484 [DCSS] Bug Report minor always 2013-08-18 18:33 2013-11-01 08:41
Reporter Mcos View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.12 ancient branch
Summary 0007484: Weapon in inventory has no drop, wield, or inscribe options
Description Hi,

I am playing DCSS on a Nexus 7 Android tablet (0.12.2) and came across the following behaviour which I suspect is a bug (searched the Mantis tracker, but couldn't find any other occurrences of it).

Basically, my character was on level 12 of the dungeon and was god gifted (Trog) this weapon: +0+4 triple sword of Ravage {freeze,Str+3}.

I first wielded it and then unwielded it (no problem),but now when I go to my inventory to look at it, there are none of the options (adjust, wield, drop, inscribe) available. So there's nothing I can do with it.

When I click on the keyboard shortcut (w)ield, it just brings me back to the inventory screen. Similarly, if I drop it with the keyboard shortcut (d) and then pick it up again, I see the same behaviour. Can't wield it, inscribe it, or drop it from the inventory screen.

I think this is a bug, although I am still very new to the game. I unfortunately can't easily upload a character dump because DCSS saves the file in my /data folder which I don't have permissions to access (my tablet isn't rooted).

Thoughts? Any more information I can provide?
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0023785)
neil (administrator)
2013-08-18 20:02

Does w<letter> work (i.e. wielding it without going through the inventory screen)?
(0023786)
Mcos (reporter)
2013-08-18 20:12

Yes, the w<letter> works fine from the main screen. Although there are still no options (adjust, wield, drop, inscribe) shown on the weapon description page if I select the item from the inventory screen.

I can select another item and equip it just fine, thereby unequiping the problematic sword of ravage. So the game mechanics seem to be okay, it's just something about that weapon description page. Interestingly, even while on the weapon description page without options, if I try and use the keypad shortcuts (like w or d) nothing happens and I get put back on the main inventory screen.

Wish I could post a character dump, but I don't want to root my device, so apologies for not being able to provide a data file
(0023828)
neil (administrator)
2013-08-22 00:27

Hm, probably is android-specific then
(0023829)
Mcos (reporter)
2013-08-22 00:53

Yes, I think android specific, and maybe even just the 7in display model in portrait mode. I had a YASD with Fredrick (grr) but I noticed that when I was using another unique special item, that I found the same behaviour (sorry don't know the exact name for those types of items, the named white ones).

My current hypothesis is that the description for the item is too long and 'flows over' the allowed space on the screen. As a result, the final line with options (wield, drop, inscribe, etc) isn't rendered on the display and therefore can't be activated.

Just a thought, but hopefully worth flagging.
(0024276)
Floodkiller (reporter)
2013-10-31 03:08
edited on: 2013-10-31 03:10

I recently encountered the same issue on WebTiles (trunk, version 0.14-a0-466-gd938c59). Received a randart axe from Trog (image of description: http://imgur.com/MoRFXDo [^] ) that I am unable to wield, drop, adjust, or inscribe through the inventory description, but am still able to do each action using the hotkeys for each.

(0024278)
BlackSheep (reporter)
2013-10-31 18:35

Based on that screenshot, it seems the item description is too long to display the action items.
(0024283)
neil (administrator)
2013-11-01 08:41

This is fixed in trunk (0.14-a0-523-g98e66c8), at least for console and webtiles. It still doesn't show the list of commands when there is no room, but you can activate the commands nonetheless.

I am not able to test the effect of the fix on android. There we continue to create the menu, but don't do the plain text prompt (which is overwritten by the menu anyway). That unfortunately means the menu will cover a line or two of description. There is probably a better fix for Android, but I don't currently have the capability of building or running Android apps, so I was wary of touching that code.

- Issue History
Date Modified Username Field Change
2013-08-18 18:33 Mcos New Issue
2013-08-18 20:02 neil Note Added: 0023785
2013-08-18 20:12 Mcos Note Added: 0023786
2013-08-22 00:27 neil Note Added: 0023828
2013-08-22 00:27 neil Operating System Other => Android
2013-08-22 00:53 Mcos Note Added: 0023829
2013-10-31 03:08 Floodkiller Note Added: 0024276
2013-10-31 03:10 Floodkiller Note Edited: 0024276
2013-10-31 18:35 BlackSheep Note Added: 0024278
2013-11-01 08:41 neil Note Added: 0024283
2013-11-01 08:41 neil Status new => resolved
2013-11-01 08:41 neil Fixed in Branch => 0.14 development branch
2013-11-01 08:41 neil Resolution open => done
2013-11-01 08:41 neil Assigned To => neil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker